Subject: bug#18695: closed (Re: bug#18695: Qt fails to build from source)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Oct 2014 03:28:02 +0000

Your bug report

#18695: Qt fails to build from source

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18695: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18695
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18695: Qt fails to build from source
From: Mark H Weaver <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: John Darrington <[email-masked]>, [email-masked]
Date: Sun, 12 Oct 2014 23:27:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> Somewhere between 74c7af9 and 7239828, all of the Qt builds broke.
>> See:
>>
>>    http://hydra.gnu.org/eval/100809#tabs-now-fail

[...]

> I think this is due to a thinko I overlooked during the review; I’m
> testing this patch and will commit if it solves the problem:
>
> diff --git a/gnu/packages/icu4c.scm b/gnu/packages/icu4c.scm
> index 7eb3874..e7d5247 100644
> --- a/gnu/packages/icu4c.scm
> +++ b/gnu/packages/icu4c.scm
> @@ -68,10 +68,10 @@
>          (lambda* (#:key outputs #:allow-other-keys)
>            (let* ((out (assoc-ref outputs "out"))
>                   (lib (string-append out "/lib")))
> -            ;; Add LIB to the RUNPATH of all the binaries.
> +            ;; Add LIB to the RUNPATH of all the libraries and binaries.
>              (with-directory-excursion out
>                (for-each (cut augment-rpath <> lib)
> -                        (append
> +                        (append (find-files "lib" ".*")
>                                  (find-files "bin" ".*")
>                                  (find-files "sbin" ".*"))))))
>          %standard-phases)))))

Yes, this fixed it.  I'm closing this bug now.

    Thanks!
      Mark

Subject: Qt fails to build from source
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sun, 12 Oct 2014 00:53:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Somewhere between 74c7af9 and 7239828, all of the Qt builds broke.
See:

   http://hydra.gnu.org/eval/100809#tabs-now-fail

       Mark